Jump to content
  • Announcements

    • Allan

      Forum Rules   04/13/2018

      Hello folks! As some things are being fixed, we'll keep you updated. Per hour the Forum Rules don't have a dedicated "Tab", so here is the place that we have our Rules back. New Users Lounge > [READ] - InsanelyMac Forum Rules - The InsanelyMac Staff Team. 
Lanceomni

*Updated 11/12* DMG mounting issues & Sandbox.kext/Seatbelt.kext

168 posts in this topic

Recommended Posts

Hi, I have the same iPC 10.5.6 also with 9.4.0 kernel. How do I upgrade to 9.6.0 ?

 

Thanks.

 

i have got the same question

how can i update the kernel from 9.4.0 (iPC 10.5.6)

Share this post


Link to post
Share on other sites

Extract kernel from install DVD with Pacifist.

 

Install Kernel with OSX86Tools.

 

Don't forget system.kext version must match kernel version.

Share this post


Link to post
Share on other sites

Hi thanks for all your help about the DMG mounting issue,

 

I knew this before installing so I backup my system and seatbelt then copied after installing however it's still not working. I downloaded 10.5.5 from the link you provided then follow your instructions precisely still no go.

 

Please help get this thing running This is my third fresh install due to the same problem.

 

Ps: That only happens with a few DMGs, like my iLife 09 dmg mounts fine but my xtorrent1.1 does not work and yes I've tried that same file on my macbook and fine there.

 

 

here is my kernel info:

Darwin N0cud06-X86.local 9.5.0 Darwin Kernel Version 9.5.0: Tue Oct 14 07:39:11 IST 2008; Voodoo; Beta 2c :xnu-1228.7.58/BUILD/obj/RELEASE_I386 i386

 

 

my sys info:

* Mfr Part Number: BLKDP35DPM

* CPU: Socket 775 Support Intel Core 2 Quad/ Core 2 Extreme/ Core 2 Duo/ Pentium Dual-Core/ Celeron Processor; FSB 1333/1066/800 MHz

* Chipset: Intel P35 & ICH9R

* Memory: 4x 240pin DDR2-800/667 DIMMs, Dual Channel, Max Capacity 8GB

* Slots: 1x PCI-Express x16 slot; 3x PCI-Express x1 slots; 3x PCI slots

* IDE/SATA: 1x ATA-133 Channel; 6x SATA2 ports, Support RAID 0, 1, 10, 5

* Audio: Sigmatel STAC9271D 8-Channel High Definition Audio CODEC

* LAN: Intel 82566DC Gigabit Ethernet Controller

* Ports: 12x USB 2.0 Ports (6 rear, 6 by headers); 2x IEEE 1394a Ports (1 rear, 1 by header); 1x Serial Header; 1x RJ45 LAN Port; Audio I/O Jacks

* Power Connector: 1x 24pin main power, 1x 4pin CPU power

* Form Factor: ATX, 12 x 9.6 inch / 30.48 x 24.38 cm

* Package: Bulk

Share this post


Link to post
Share on other sites

So your are getting the Kernel Panic that references seatbelt?

 

Open Finder to the /System/Library/Extensions/ folder right click on seatbelt.kext and select "Show Package Contents" Open the Contents folder and then open version.plist in a text editor. What does it say for build version.

Share this post


Link to post
Share on other sites

hy.

but what is the sense of your suggestion?

if I have a 10.5.6 retail setup .. I still have seatbelt 10.5.6. .. so why shall I replace with yours?

 

thanks

 

may I solve usb mounting pen drive problems? (now the only issue is that they're not visible.. nowhere in the system)

Share this post


Link to post
Share on other sites

Try running or re-installing Voodoo 9.5.0......use the .dmg installer from here......since from Voodoo 9.5.0 User Documentation:

Anyone who cannot run Apple's stock kernel (aka 'vanilla' kernel) should use the

Voodoo kernel. This includes all processors except Apple-supported Intel Core/

Core2 range and Xeon. Some people who can use vanilla kernel might want to try

the Voodoo kernel as well, which could help fix some problems, specially related to

multiple-core synchronization, restart issues etc.

All other kernels have been superseded by the Voodoo kernel so everyone is advised

to upgrade.

Share this post


Link to post
Share on other sites
hy.

but what is the sense of your suggestion?

if I have a 10.5.6 retail setup .. I still have seatbelt 10.5.6. .. so why shall I replace with yours?

Open terminal and type:

uname -a

If your kernel is 9.5.0 (Kernel version from 10.5.5) then you will need to do one of the following

 

1. install seatbelt.kext from 10.5.5

 

2. install kernel 9.6.0 (kernel version from 10.5.6)

 

 

may I solve usb mounting pen drive problems? (now the only issue is that they're not visible.. nowhere in the system)

 

Just like with the above issue you must have the system.kext match versions with your kernel. So if you checked your kernel and it is 9.5.0 you will need the system.kext from 10.5.5 which is also version 9.5.0. This is not to say that you don't have other issues related to your chipset but it is a common problem. If you have a USB drive plugged in before you start the computer and it works fine then this is probably the problem.

 

So to recap both seatbelt.kext, system.kext and your mach_kernel must mesh. You see this because people are not using the vanilla kernel.

 

OSX 10.5.6 - Kernel version 9.6.0 - System.kext 9.6.0 - Seatbelt.kext from 10.5.6 (build 45)

 

OSX 10.5.5 - Kernel version 9.5.0 - System.kext 9.5.0 - Seatbelt.kext from 10.5.5 (build 14)

 

 

no panic just a warning popup then I click ok and nothing happens again some dmg mount fine see the attached image. Here is a copy of my extension folder including my extension.mkext http://69.108.218.45/wip/

 

It may be something else as it should give you an immediate KP. Let me look around if I come across something Ill let you know.

Share this post


Link to post
Share on other sites
no panic just a warning popup then I click ok and nothing happens again some dmg mount fine see the attached image. Here is a copy of my extension folder including my extension.mkext http://69.108.218.45/wip/

 

Why have you got multiple injector kexts installed.....NVkush, Natit and Titan......?

Share this post


Link to post
Share on other sites

Hello.

 

I'm not good at english, but here is mt trouble.

When i mount DMG, i get the grey screen ( hold power down ) except if i mount dmg from a backup dvd.

 

is that the same on this thread ?

 

I'm on 9.4.0 Darwin Kernel

but in the 1st message, you talk about 9.5 and 9.6, what should i do ?

 

regards, bakk

Share this post


Link to post
Share on other sites
I have the iPC 10.5.6 with a StageXNU 9.4.0 Kernel, so which one should I use?

Edit: Solved, manually installed a 9.6.0 Kernel

BUT: How could I possibly get the seatbelt.kext with Pacifist, if installing Pacifist requires to open up a *.dmg file?

 

 

Okay. How should i do that ? manually install newer kernel ?

 

regards

 

edit :

 

I installed seatbelt with osx86tools, and all is fine now. Thanks

Share this post


Link to post
Share on other sites

that is a good question because when I installed just titan it then gave me only one resolution I think it was 1024x798 so I kept trying and when I selected those three my display works perfectly. I got a Geforce 9500 GT PCI-E

Share this post


Link to post
Share on other sites
that is a good question because when I installed just titan it then gave me only one resolution I think it was 1024x798 so I kept trying and when I selected those three my display works perfectly. I got a Geforce 9500 GT PCI-E

 

That kind of thing generally causes problems but if your not having problems there is no reason to worry. Most likely it is one of those three that is doing the job.

 

Are there any other DMGs you get this issue with? Try downloading Firefox and opening it. It doesn't look like a seatbelt issue but im still curious.

Share this post


Link to post
Share on other sites

firefox worked fine! I copied the two to the server root dir (http://69.108.218.45) see if you can mount the xtorrent dmg on your intel machine. I tried a million times on my macbook no problem what so ever.

 

Ps: About the graphics card should I remove one then reboot to find out which one it is or leave it alone?

 

thank you for your help

Share this post


Link to post
Share on other sites
firefox worked fine! I copied the two to the server root dir (http://69.108.218.45) see if you can mount the xtorrent dmg on your intel machine. I tried a million times on my macbook no problem what so ever.

 

Ps: About the graphics card should I remove one then reboot to find out which one it is or leave it alone?

 

thank you for your help

 

I wouldnt worry about the graphics drivers. If its not broke don't fix it. :)

Share this post


Link to post
Share on other sites

I have the 9.6.0 kernel and seatbelt from 10.5.6 installed, but I still get kernel panics when I try to mount any DMG or ISO.

 

Specs:

GIGABYTE GA-EP35-DS3R LGA 775 Intel P35 (set to AHCI mode)

MSI Nvidia GT 8800

Intel 2.66 Core 2 Duo

 

Also, I get the 'mouse lags when iTunes is open' error. Any idea on how to fix either of these?

Share this post


Link to post
Share on other sites
I have the 9.6.0 kernel and seatbelt from 10.5.6 installed, but I still get kernel panics when I try to mount any DMG or ISO.

 

Specs:

GIGABYTE GA-EP35-DS3R LGA 775 Intel P35 (set to AHCI mode)

MSI Nvidia GT 8800

Intel 2.66 Core 2 Duo

 

Also, I get the 'mouse lags when iTunes is open' error. Any idea on how to fix either of these?

Here is the fix for the mouse lag problem.

http://www.insanelymac.com/forum/index.php...2056&st=120

I am having problems with my kernel too... the clock is running too fast. Weird. I'm on voodoo 9.5.0 with an old version of seatbelt.kext.

What 9.6.0 kernel are you using?

Share this post


Link to post
Share on other sites
Here is the fix for the mouse lag problem.

http://www.insanelymac.com/forum/index.php...2056&st=120

I am having problems with my kernel too... the clock is running too fast. Weird. I'm on voodoo 9.5.0 with an old version of seatbelt.kext.

What 9.6.0 kernel are you using?

 

Thanks! That fixed the mouse issue! When I uname -a I get:

Darwin TehFatBatzOSX.local 9.6.0 Darwin Kernel Version 9.6.0: Mon Nov 24 17:37:00 PST 2008; root:xnu-1228.9.59~1/RELEASE_I386 i386

 

I updated with the 10.5.6 Combo Update, running Vanilla Kernel and PC_EFI v9.

Share this post


Link to post
Share on other sites

OK, Im still lost.

 

Others haved asked with no response, but I have kernel version 9.4 (iPC). Where can I get either the latest kernel or the necessary kext. You only have the kext for versions 9.5 and 9.6. I don't have a retail version of 10.5, I do have one for 10.2 ;).

 

Any suggestions would be great, I have OSX86 tools to install these changes. I think i understand how to set this all up, but I cant find the files.

 

Thanks,

Josh

Share this post


Link to post
Share on other sites

Hi I installed leopardon my pc

 

Core 2 Duo E8400 @ 3.0 Ghz

Biostar TP35D2-A7

Corsair 2 Gb 667Mhz

Nvidia 8400GS 512Mb

ps/2 mouse & keyboard

 

using iPC OSx86 10.5.6 Universal DVD along default kernel and added seatbelt 10.5.5 patch

but it did crash on dmg mount

I did a uname -a I got

Darwin adityas-oem.local 9.6.0 Darwin Kernel Version 9.6.0: Mon Nov 24 17:37:00 PST 2008; root:xnu-1228.9.59~1/RELEASE_I386 i386

 

I installed the seatbelt.kext attached as

 

10.5.6 Seatbelt.kext * Click to Download seatbelt_1056

Size: 324 KB (316,262 bytes)

Creation Date: November 24, 2008

Version: 107.10

Build: 45

Requires 9.6.0 Kernel

 

Then I tried osx86tools after a fresh install of leopard to install kext still crashed

Then I tried without the seatbelt.kext during install still crashed on dmg mount. Tried installing seatbelt.kext after it does not work please help

Share this post


Link to post
Share on other sites
Hi I installed leopardon my pc

 

Core 2 Duo E8400 @ 3.0 Ghz

Biostar TP35D2-A7

Corsair 2 Gb 667Mhz

Nvidia 8400GS 512Mb

ps/2 mouse & keyboard

 

using iPC OSx86 10.5.6 Universal DVD along default kernel and added seatbelt 10.5.5 patch

but it did crash on dmg mount

I did a uname -a I got

Darwin adityas-oem.local 9.6.0 Darwin Kernel Version 9.6.0: Mon Nov 24 17:37:00 PST 2008; root:xnu-1228.9.59~1/RELEASE_I386 i386

 

I installed the seatbelt.kext attached as

 

 

 

Then I tried osx86tools after a fresh install of leopard to install kext still crashed

Then I tried without the seatbelt.kext during install still crashed on dmg mount. Tried installing seatbelt.kext after it does not work please help

 

I have the same issue as you. No version of seatbelt.kext are working.

Share this post


Link to post
Share on other sites

I have now solved the issue, I installed seatbelt.kext with kernel 9.6.0 using osx86tools

Thanks a lot to the makers

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now


  • Recently Browsing   0 members

    No registered users viewing this page.

×